Online accounts for facebook (and google) are missing cursor for sign-in

Bug #1299712 reported by Mitchell
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
qtbase-opensource-src (Ubuntu)
Fix Released
Undecided
Timo Jyrinki

Bug Description

I found this bug for the online accounts, where I sign in to both Facebook and Google. I haven't tried anything else yet. When going to System Settings>Online Accounts, when I try and add either a Facebook or Google account, in the login screen for each account, there is no cursor showing me that i can enter text. I can still enter the text, but there is no cursor. This is a change from 13.10, when the cursor showed up.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: account-plugin-facebook 0.11+14.04.20140325-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
Uname: Linux 3.13.0-20-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Mar 30 19:53:18 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-03-29 (1 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Beta amd64 (20140326)
PackageArchitecture: all
SourcePackage: account-plugins
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Revision history for this message
Mitchell (curious-mitchell) wrote :
Revision history for this message
Alberto Mardegan (mardy) wrote :

Thanks for reporting this. There's indeed something wrong with the focusing of the input fields, I'll investigate.

Changed in account-plugins:
assignee: nobody → Alberto Mardegan (mardy)
status: New → Confirmed
Changed in account-plugins (Ubuntu):
status: New → Confirmed
Changed in account-plugins:
importance: Undecided → High
Revision history for this message
Alberto Mardegan (mardy) wrote :
no longer affects: account-plugins
affects: account-plugins (Ubuntu) → qtbase-opensource-src (Ubuntu)
Changed in qtbase-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

A build with Alberto's fix will be available from the following PPA in around 3 hours (regarding armhf):
https://launchpad.net/~ci-train-ppa-service/+archive/landing-012/+packages

In other words:
apt-add-repository ppa:ci-train-ppa-service/landing-012
apt-get update
apt-get upgrade

Please test.

Revision history for this message
Mitchell (curious-mitchell) wrote : Re: [Bug 1299712] Re: Online accounts for facebook (and google) are missing cursor for sign-in

Is this only for armhf? I found this bug in an intel chipset.

On 01/04/14 23:49, Timo Jyrinki wrote:
> A build with Alberto's fix will be available from the following PPA in around 3 hours (regarding armhf):
> https://launchpad.net/~ci-train-ppa-service/+archive/landing-012/+packages
>
> In other words:
> apt-add-repository ppa:ci-train-ppa-service/landing-012
> apt-get update
> apt-get upgrade
>
> Please test.
>

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

I don't know, probably it affects both? I just meant that the armhf build took longer than x86 build. Both are now available.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Hmm, at least for me I do see the issue, but it also does not seem to go away after upgrading. More info would be needed whether the backported patch makes sense or not.

Changed in qtbase-opensource-src (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Alberto Mardegan (mardy) wrote :

I tested the packages from the PPA, and they indeed resolve the issue: now the input fields are properly focused, both when clicking on them and while cycling the focus with the TAB key.

Changed in qtbase-opensource-src (Ubuntu):
status: Incomplete → Confirmed
Changed in qtbase-opensource-src (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtbase-opensource-src - 5.2.1+dfsg-1ubuntu11

---------------
qtbase-opensource-src (5.2.1+dfsg-1ubuntu11) trusty; urgency=medium

  * debian/patches/When-looking-up-the-window-hierarchy-stop-at-foreign.patch
    - Cherry-pick a fix to a bug affecting online accounts (LP: #1299712)
 -- Timo Jyrinki <email address hidden> Tue, 01 Apr 2014 12:41:00 +0000

Changed in qtbase-opensource-src (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers